Get Monster Metadata
curl --request GET \
--url https://api.example.com/api/metadata/monsters/{id}import requests
url = "https://api.example.com/api/metadata/monsters/{id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/metadata/monsters/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Public Metadata
Get Monster Metadata
Get monster NFT metadata including stats, types, personality, and traits
GET
/
api
/
metadata
/
monsters
/
{id}
Get Monster Metadata
string
required
Monster token ID or MongoDB ObjectId
Response Fields
| Field | Description |
|---|---|
| tokenId | Monster token ID |
| name | Monster breed name + token ID |
| description | Breed description |
| image | Animated monster GIF URL |
| animation_url | Interactive NFT page URL |
| attributes | Full trait list including stats, innate/visible potentials, breed, types, personality, gender, variant, ability, likes/dislikes, item held |
Was this page helpful?
⌘I
